Bug 45767 - 'reboot' causes linux fails to boot
Summary: 'reboot' causes linux fails to boot
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: usermode   
(Show other bugs)
Version: 7.1
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-25 08:30 UTC by Need Real Name
Modified: 2013-07-02 22:55 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 11:30:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-06-25 08:30:30 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
When I use "reboot" to restart my RedHat 7.1 (on Compaq Presario 1266, 
NeoMagic 128 XD (MM2160)), the system restarts, and starts loading kernel, 
then I see some funky color characters on screen, then the boot seems 
stopped, system is hang and I have to use "Power Off" button to restart 
system.
However, if the system is bootup from power on I never see this problem. 
It seems to me that "reboot" does not cleanup something (which I don't 
know).

How reproducible:
Always

Steps to Reproduce:
1. boot up Linux system (RedHat 7.1)
2. Logon as "root" and type "reboot"
3. After system reboot and LILO, system hangs after "Loading kernel..." 
with random garbage color characters on screen.
	

Actual Results:  It happened again.

Additional info:

Comment 1 Need Real Name 2001-06-25 08:39:54 UTC
Note: "reboot" worked perfectly when I used RedHat 6.x and 7.0

Comment 2 Need Real Name 2001-06-25 23:30:24 UTC
More info:
"reboot" sometimes causes "LILO" string does not display completely. This is 
kind of random, so far I saw these cases:
" ILO"
"  LO"
"L LO" (the first 'L' is in green).
But they all hang when system tries to load kernel.

If I use 
"vga=788", then the system loads the kernel, but fails/hangs later, one time 
was when it detects USB devices, the other one is when it's about to mount 
harddisk.

If I choose "Windoze 98" (dual-boot) from the problematic LILO, the system 
seems recovered for Windoze 98SE.


Comment 3 Mike A. Harris 2001-08-28 16:32:19 UTC
This bug report sounds like it has absolutely nothing to do with the
usermode package whatsoever.  It sounds more like a kernel problem,
or more likely really broken hardware or misconfigured BIOS or bad
RAM or something.

Arjan, your thoughts?

Comment 4 Jindrich Novy 2004-09-16 11:30:45 UTC
Hmmm, looks weird but I agree with Mike that it's not a fault of
reboot. It's very hard for me to reproduce the problem and it seems to
me that this issue is pretty hardware specific. If something like this
happens again to you with a recent release and can be reproduced,
please report it again. Thanks,

Jindrich


Note You need to log in before you can comment on or make changes to this bug.